#
# spec file for package gns3-converter
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gns3-converter
Summary:        Convert old ini-style GNS3 topologies
License:        GPL-3.0+
Group:          Productivity/Networking/Other
Version:        1.2.3
Release:        4.2
Url:            https://pypi.python.org/pypi/gns3-converter
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  python3-devel >= 3.3
BuildRequires:  python3-setuptools
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNS3 Converter is designed to convert old ini-style GNS3 topologies (<=0.8.7)
to the newer version v1+ JSON format for use in GNS3 v1+

The converter will convert all IOS, Cloud and VirtualBox devices to the new format.
It will also convert all QEMU based devices (QEMU VM, ASA, PIX, JUNOS & IDS).
VPCS nodes will be converted to cloud devices due to lack of information
the 0.8.7 topology files.

For topologies containing snapshots, the snapshots will also be
converted to the new format automatically.

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix}
chmod -x %{buildroot}/%{python3_sitelib}/gns3converter/configspec

%files
%defattr(-, root, root, 0755)
%doc COPYING ChangeLog README.rst
%{_bindir}/%{name}
%{python3_sitelib}/*

%changelog
* Sun Apr 12 2015 andrea@opensuse.org
- New upstream version 1.2.3
  * Ensure the rotation of a shape is defined as a float, rather than string (Fixes #23)
  * Correct the path used for multi-host VPCS configs Thanks to rednectar for spotting this.
  * Fix running tests on Windows
  * Fix copying of images when path in topology is relative (Fixes #22)
  * Copy *.png to the base directory of the new project if exists (Fixes #20)
  * Copy VPCS configs to the new multi-host vpcs directory (Fixes #21)
  * Fix shapes and text losing their rotation (Fixes #19)
  * Add default value for Qemu RAM
-changed homepage
* Wed Dec 10 2014 andrea@opensuse.org
- new upstream version 1.2.0
  * Fix converting shapes that don't have fill_color specified,
    make them transparent (Fixes #18)
  * Copy instructions to new topology if they are present
* Sat Nov 22 2014 andrea@opensuse.org
- new upstream version 1.1.1
  * Fix error numbering of multiple serial ports (Fixes #15)
* Wed Nov 12 2014 andrea@opensuse.org
- New package
